"""empty message

Revision ID: 7e28bc7ffbfd
Revises: 
Create Date: 2019-12-30 21:40:47.102217

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '7e28bc7ffbfd'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('building',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('type', sa.SmallInteger(), nullable=True),
    sa.Column('lat', sa.Float(), nullable=True),
    sa.Column('lng', sa.Float(), nullable=True),
    sa.Column('city', sa.SmallInteger(), nullable=False),
    sa.Column('district', sa.SmallInteger(), nullable=True),
    sa.Column('street', sa.String(), nullable=False),
    sa.Column('house', sa.String(), nullable=False),
    sa.Column('year', sa.SmallInteger(), nullable=True),
    sa.Column('material', sa.SmallInteger(), nullable=True),
    sa.Column('floors', sa.SmallInteger(), nullable=False),
    sa.Column('elevators', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('parkings', sa.SmallInteger(), nullable=True),
    sa.Column('garbage_chute', sa.Boolean(), nullable=True),
    sa.Column('heating_type', sa.SmallInteger(), nullable=True),
    sa.Column('counters', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('metrics', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('created_on', sa.DateTime(), nullable=True),
    sa.Column('updated_on', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('flat',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('external_id', sa.Integer(), nullable=False),
    sa.Column('source', sa.SmallInteger(), nullable=False),
    sa.Column('owner_id', sa.Integer(), nullable=True),
    sa.Column('owner_type', sa.SmallInteger(), nullable=True),
    sa.Column('price', sa.Float(), nullable=False),
    sa.Column('area', sa.Float(), nullable=False),
    sa.Column('area_kitchen', sa.Float(), nullable=True),
    sa.Column('area_living', sa.Float(), nullable=True),
    sa.Column('floor', sa.SmallInteger(), nullable=False),
    sa.Column('rooms', sa.SmallInteger(), nullable=False),
    sa.Column('layout', sa.SmallInteger(), nullable=True),
    sa.Column('height', sa.Float(), nullable=True),
    sa.Column('bathrooms', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('window_types', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('balconies', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('condition', sa.SmallInteger(), nullable=True),
    sa.Column('phones', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('building_id', sa.Integer(), nullable=False),
    sa.Column('created_on', sa.DateTime(), nullable=True),
    sa.Column('updated_on', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['building_id'], ['building.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('flat')
    op.drop_table('building')
    # ### end Alembic commands ###
